<?
/*
	 +------------------------------------------------------+
	 | Scripter Addons  -  Horscopo  -  04/05/2002 @ 00:08 |
	 | Autor: Alexandre Correa - alexandre@scripter.com.br  |
	 |                w w w . s c r i p t e r . c o m . b r |
	 +------------------------------------------------------+ 
	 | Descrio:                                           |
	 | Funo signo("dia", "mes") para retornar o signo dos |
	 | dados informados. Exemplo:                           |
	 |   * echo signo(date(j), date(n));                    |
	 |     este exemplo retorna o signo do dia/mes atual    |
	 |     no caso date(j)  o dia atual e date(n)  o mes  |
	 +------------------------------------------------------+
	 | Dica de uso:                                         |
	 | Coloque em seu php: include("./function.signo.php"); |
	 | e use a funo como desejar.                         |
	 +------------------------------------------------------+  	 
*/
function signo($d, $m) {
  if ($m == "3" AND $d >= "20") { $signo = "ries"; }             //ries       20/03 a 20/04
  elseif ($m == "4" AND $d <= "20") { $signo = "ries"; }         //ries       20/03 a 20/04
  elseif ($m == "4" AND $d >= "21") { $signo = "Touro"; }         //Touro       21/04 a 20/05
  elseif ($m == "5" AND $d <= "20") { $signo = "Touro"; }         //Touro       21/04 a 20/05
  elseif ($m == "5" AND $d >= "21") { $signo = "Gmeos"; }        //Gmeos      21/05 a 20/06
  elseif ($m == "6" AND $d <= "20") { $signo = "Gmeos"; }        //Gmeos      21/05 a 20/06
  elseif ($m == "6" AND $d >= "21") { $signo = "Cncer"; }        //Cncer      21/06 a 21/07
  elseif ($m == "7" AND $d <= "21") { $signo = "Cncer"; }        //Cncer      21/06 a 21/07
  elseif ($m == "7" AND $d >= "22") { $signo = "Leo"; }          //Leo        22/07 a 22/08
  elseif ($m == "8" AND $d <= "22") { $signo = "Leo"; }          //Leo        22/07 a 22/08
  elseif ($m == "8" AND $d >= "23") { $signo = "Virgem"; }        //Virgem      23/08 a 22/09
  elseif ($m == "9" AND $d <= "22") { $signo = "Virgem"; }        //Virgem      23/08 a 22/09
  elseif ($m == "9" AND $d >= "23") { $signo = "Libra"; }         //Libra       23/09 a 22/10
  elseif ($m == "10" AND $d <= "22") { $signo = "Libra"; }        //Libra       23/09 a 22/10
  elseif ($m == "10" AND $d >= "23") { $signo = "Escorpio"; }    //Escorpio   23/10 a 21/11
  elseif ($m == "11" AND $d <= "21") { $signo = "Escorpio"; }    //Escorpio   23/10 a 21/11
  elseif ($m == "11" AND $d >= "22") { $signo = "Sagitrio"; }    //Sagitrio   22/11 a 21/12
  elseif ($m == "12" AND $d <= "21") { $signo = "Sagitrio"; }    //Sagitrio   22/11 a 21/12
  elseif ($m == "12" AND $d >= "22") { $signo = "Capricrnio"; }  //Capricrnio 22/12 a 21/01
  elseif ($m == "1" AND $d <= "21") { $signo = "Capricrnio"; }   //Capricrnio 22/12 a 21/01
  elseif ($m == "1" AND $d >= "21") { $signo = "Aqurio"; }       //Aqurio     21/01 a 18/02
  elseif ($m == "2" AND $d <= "18") { $signo = "Aqurio"; }       //Aqurio     21/01 a 18/02	
  elseif ($m == "2" AND $d >= "19") { $signo = "Peixes"; }        //Peixes      19/02 a 19/03
  elseif ($m == "3" AND $d <= "19") { $signo = "Peixes"; }        //Peixes      19/02 a 19/03
  else { $signo = "No Reconhecido"; }
  return $signo;
} 
/* EOF */
?>

